<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>CDAGenerator</artifactId>
		<groupId>net.ihe.gazelle</groupId>
		<version>3.0.1-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>net.ihe.gazelle</groupId>
	<artifactId>CDAGenerator-ejb</artifactId>
	<name>CDAGenerator-ejb</name>
	<packaging>ejb</packaging>
	<issueManagement>
		<system>Jira</system>
		<url>http://gazelle.ihe.net/jira</url>
	</issueManagement>
	<ciManagement>
		<system>Hudson</system>
		<url>http://sumo.irisa.fr:8080/hudson</url>
	</ciManagement>
	<organization>
		<name>INRIA - IHE Development</name>
		<url>http://gazelle.ihe.net</url>
	</organization>
	<properties>
		<argLine>-XX:MaxPermSize=1024m -XX:PermSize=256m</argLine>
	</properties>
	<build>
		<resources>
			<resource>
				<filtering>true</filtering>
				<directory>src/main/resources</directory>
				<excludes>
					<exclude>soap_ui/CDAGenerator-soapui-project.xml</exclude>
				</excludes>
			</resource>
		</resources>
		<finalName>CDAGenerator-ejb</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<executions>
					<execution>
						<id>generate-service-docs</id>
						<!-- <phase>initialize</phase> -->
						<goals>
							<goal>javadoc</goal>
						</goals>
						<configuration>
							<doclet>com.yammer.dropwizard.apidocs.ServiceDoclet</doclet>
							<docletArtifact>
								<groupId>gazelle.ihe.net.rest</groupId>
								<artifactId>rest-service-doc-generator</artifactId>
								<version>${rest-service-doc-version}</version>
							</docletArtifact>
							<reportOutputDirectory>../CDAGenerator-ui/src/main/webapp</reportOutputDirectory>
							<useStandardDocletOptions>false</useStandardDocletOptions>
							<additionalparam>-apiVersion 1 -docBasePath ${server.url}
								-apiBasePath ${server.rest}</additionalparam>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.20</version>
                <configuration>
                    <argLine>${surefireArgLine} -XX:MaxPermSize=1024m -XX:PermSize=256m -Dfile.encoding=UTF-8</argLine>
                    <systemProperties>
                        <property>
                            <name>java.util.logging.config.file</name>
                            <value>src/test/resources/log4j.properties</value>
                        </property>
                        <property>
                            <name>org.jboss.logging.provider</name>
                            <value>slf4j</value>
                        </property>
                        <property>
                            <name>com.mchange.v2.log.MLog</name>
                            <value>com.mchange.v2.log.slf4j.Slf4jMLog</value>
                        </property>
                        <property>
                            <name>org.slf4j.simpleLogger.defaultLogLevel</name>
                            <value>info</value>
                        </property>
                        <property>
                            <name>java.util.logging.config.file</name>
                            <value>src/test/resources/log4j.properties</value>
                        </property>
                        <property>
                            <name>org.apache.commons.logging.Log</name>
                            <value>org.apache.commons.logging.impl.SimpleLog</value>
                        </property>
                        <property>
                            <name>org.apache.commons.logging.simplelog.defaultlog</name>
                            <value>info</value>
                        </property>

                    </systemProperties>
                    <systemPropertyVariables>
                        <jacoco-agent.destfile>${session.executionRootDirectory}/CDAGenerator-ejb/target/jacoco.exec</jacoco-agent.destfile>
                    </systemPropertyVariables>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <id>default-prepare-agent</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                </executions>
				<configuration>
					<propertyName>surefireArgLine</propertyName>
                </configuration>
            </plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>net.ihe.gazelle.tm</groupId>
			<artifactId>gazelle-tm-tools</artifactId>
			<version>${gazelle.tm.tools.version}</version>
			<type>ejb</type>
			<exclusions>
				<exclusion>
					<groupId>xerces</groupId>
					<artifactId>xercesImpl</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.jboss.seam</groupId>
					<artifactId>jboss-seam-debug</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>gum-client</artifactId>
		</dependency>
		<dependency>
			<groupId>xerces</groupId>
			<artifactId>xercesImpl</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.jdom</groupId>
			<artifactId>jdom</artifactId>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.maven.tools</groupId>
			<artifactId>gazelle-axis2-client</artifactId>
			<version>1.22.0</version>
			<type>pom</type>
		</dependency>
		<dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.uwyn</groupId>
			<artifactId>jhighlight</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.jboss.envers</groupId>
			<artifactId>jboss-envers</artifactId>
			<version>1.2.2.GA-hibernate-3.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.maven</groupId>
			<artifactId>PatientGeneration-ejb</artifactId>
			<version>${patient.generation.version}</version>
			<exclusions>
				<exclusion>
					<artifactId>simulator-common-ejb</artifactId>
					<groupId>net.ihe.gazelle.simulators</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.resteasy</groupId>
			<artifactId>resteasy-jaxrs</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache</groupId>
			<artifactId>xmlsec</artifactId>
			<version>1.4.2</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.maven</groupId>
			<artifactId>SchematronValidatorWSClient</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-code-jar</artifactId>
			<version>2.0.3</version>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.cda</groupId>
			<artifactId>cda-code-jar</artifactId>
			<version>1.10</version>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.infr</groupId>
			<artifactId>infr-code-jar</artifactId>
			<version>1.0</version>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.datatypes</groupId>
			<artifactId>datatypes-code-jar</artifactId>
			<version>1.10</version>
			<type>jar</type>
			<exclusions>
				<exclusion>
					<groupId>saxon9he</groupId>
					<artifactId>net.sf.saxon</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.nblock</groupId>
			<artifactId>nblock-code-jar</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.voc</groupId>
			<artifactId>voc-code-jar</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.lab</groupId>
			<artifactId>lab-code-jar</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.cdalab</groupId>
			<artifactId>cdalab-code-jar</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.cdaepsos</groupId>
			<artifactId>cdaepsos-code-jar</artifactId>
			<version>1.8</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.xdssd</groupId>
			<artifactId>xdssd-validator-jar</artifactId>
			<version>0.14</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cdapcc-validator-jar</artifactId>
			<version>0.13</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cdapharm-validator-jar</artifactId>
			<version>0.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.cda</groupId>
			<artifactId>cda-validator-jar</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.cdaepsos</groupId>
			<artifactId>cdaEpsosSpec-validator-jar</artifactId>
			<version>1.28</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.datatypes</groupId>
			<artifactId>datatypes-validator-jar</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ccda-validator-jar</artifactId>
			<version>0.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>crc-validator-jar</artifactId>
			<version>0.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>luxh-validator-jar</artifactId>
			<version>0.4</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>luxl1-validator-jar</artifactId>
			<version>0.5</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.lab</groupId>
			<artifactId>lab-validator-jar</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.xdlab</groupId>
			<artifactId>xdlab-validator-jar</artifactId>
			<version>1.21</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cdamin-validator-jar</artifactId>
			<version>0.10</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ccd-validator-jar</artifactId>
			<version>0.5</version>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cdarcp-validator-jar</artifactId>
			<version>0.2</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cdakh-validator-jar</artifactId>
			<version>0.8</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>kbppc-validator-jar</artifactId>
			<version>0.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>kradr-validator-jar</artifactId>
			<version>0.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>klabc-validator-jar</artifactId>
			<version>0.5</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>rcsc-validator-jar</artifactId>
			<version>0.9</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>rcsep-validator-jar</artifactId>
			<version>1.0.10</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cdabasic-validator-jar</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.pharmext</groupId>
			<artifactId>pharmext-code-jar</artifactId>
			<version>0.0.1</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>pharmval-validator-jar</artifactId>
			<version>0.0.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>apsr-validator-jar</artifactId>
			<version>0.2</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ccda11-ad-validator-jar</artifactId>
			<version>0.0.3</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>common-editor-jar</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>datatypes-editor-jar</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cda-editor-jar</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>nblock-editor-jar</artifactId>
			<version>1.0.0</version>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ihe-xmltools-jar</artifactId>
			<version>1.0.1</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>mbval-documentation-ejb</artifactId>
			<version>${mbv.doc}</version>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle.common.code</groupId>
			<artifactId>common-operations-jar</artifactId>
			<version>1.0.2</version>
			<exclusions>
				<exclusion>
					<groupId>saxon9he</groupId>
					<artifactId>net.sf.saxon</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<!-- Seam dependencies (Seam, Richfaces, Hibernate, Servlet, JSF, JEE, 
			...) -->
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-remoting</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-ui</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-mail</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-pdf</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-excel</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.el</groupId>
			<artifactId>jboss-el</artifactId>
		</dependency>
		<!-- Provided -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
		</dependency>
		<dependency>
			<groupId>sun-jaxb</groupId>
			<artifactId>jaxb-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.mail</groupId>
			<artifactId>mail</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ccdaadr11-validator-jar</artifactId>
			<version>0.0.2</version>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ccdav21-validator-jar</artifactId>
			<version>0.0.2</version>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>epsosad-validator-jar</artifactId>
			<version>0.0.2</version>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>ihepcc-validator-jar</artifactId>
			<version>0.0.1</version>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>hl7templates-scoring-jar</artifactId>
			<version>${hl7templates.scoring.version}</version>
			<type>jar</type>
			<exclusions>
				<exclusion>
					<groupId>net.ihe.gazelle.svs</groupId>
					<artifactId>svs-code-jar</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>hl7templates-validator-jar</artifactId>
			<version>${hl7templates.validator.version}</version>
			<exclusions>
				<exclusion>
					<artifactId>AssertionManagerGui-model</artifactId>
					<groupId>net.ihe.gazelle</groupId>
				</exclusion>
				<exclusion>
					<artifactId>svs-code-jar</artifactId>
					<groupId>net.ihe.gazelle.svs</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.richfaces.ui</groupId>
			<artifactId>richfaces-components-ui</artifactId>
		</dependency>
		<dependency>
			<groupId>org.richfaces.core</groupId>
			<artifactId>richfaces-core-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>com.sun.faces</groupId>
			<artifactId>jsf-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.spec.javax.ejb</groupId>
			<artifactId>jboss-ejb-api_3.1_spec</artifactId>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jboss.spec.javax.faces</groupId>
			<artifactId>jboss-jsf-api_2.1_spec</artifactId>
		</dependency>
		<dependency>
			<groupId>org.hibernate.javax.persistence</groupId>
			<artifactId>hibernate-jpa-2.0-api</artifactId>
		</dependency>
		<dependency>
			<groupId>c3p0</groupId>
			<artifactId>c3p0</artifactId>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-c3p0</artifactId>
		</dependency>
		<dependency>
			<groupId>org.infinispan</groupId>
			<artifactId>infinispan-core</artifactId>
		</dependency>

		<dependency>
			<artifactId>hibernate-ehcache</artifactId>
			<groupId>org.hibernate</groupId>
		</dependency>

		<dependency>
			<groupId>quartz</groupId>
			<artifactId>quartz</artifactId>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle.cdk</groupId>
			<artifactId>cdk-tags</artifactId>
			<version>1.0.7</version>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>metadata-v7</artifactId>
			<version>${metadata-v7.version}</version>
			<type>ejb</type>
		</dependency>

		<dependency>
			<groupId>javax.enterprise</groupId>
			<artifactId>cdi-api</artifactId>
			<version>1.1-20130403</version>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.7.21</version>
			<type>jar</type>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.7.21</version>
			<type>jar</type>
		</dependency>

		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>20030211.134440</version>
		</dependency>

		<dependency>
			<groupId>net.sf.saxon</groupId>
			<artifactId>Saxon-HE</artifactId>
			<version>9.7.0-18</version>
		</dependency>

		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>sso-api-v7</artifactId>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>cas-client-v7</artifactId>
		</dependency>

		<dependency>
            <groupId>org.apache.tika</groupId>
            <artifactId>tika-core</artifactId>
            <version>1.14</version>
            <exclusions>
                <exclusion>
                    <groupId>org.codelibs</groupId>
                    <artifactId>jhighlight</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        
        <dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-all</artifactId>
			 <version>1.10.19</version>
			<scope>test</scope>
		</dependency>
        
        <dependency>
            <groupId>org.powermock</groupId>
            <artifactId>powermock-api-mockito</artifactId>
            <version>1.7.1</version>
            <scope>test</scope>
        </dependency>
        
        <dependency>
            <groupId>org.powermock</groupId>
            <artifactId>powermock-module-junit4</artifactId>
            <version>1.7.1</version>
            <scope>test</scope>
        </dependency>

	</dependencies>
</project>
